<!DOCTYPE HTML>
<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://java.sun.com/jsf/facelets"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:p="http://primefaces.org/ui"
	xmlns:h="http://java.sun.com/jsf/html">
<body>
	<div id="Menu">
		<ui:include src="/HomeManager.xhtml" />
		<div class="row">
			<div class="col-lg-3"></div>
			<div class="col-lg-9">
				<div class="row">
					<div class="col-md-12">
						<div class="widget">
							<div class="widget-header transparent">
								<h2>
									<strong>LIST PROJECTS</strong>
								</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i
										class="icon-down-open-2"></i></a> <a href="#" class="widget-close"><i
										class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content">
								<div class="data-table-toolbar">
									<div class="row">
										<div class="col-md-4">
											<form role="form">
												<input type="text" class="form-control"
													placeholder="Search..." />
											</form>
										</div>
										<div class="col-md-8">
											<div class="toolbar-btn-action">
												<button type="button" class="btn btn-info"
													data-toggle="modal" data-target="#modalAddProject">Add
													Project</button>
												<button type="button" class="btn btn-info"
													data-toggle="modal" data-target="#modalStats">Open modal</button>
											</div>
										</div>
									</div>
								</div>

								<div class="table-responsive">
									<h:form>
										<h:dataTable data-sortable="table table-hover table-striped"
											var="project" value="#{projectBean.projects}" border="2">


											<h:column>

												<f:facet name="header">
													<h:outputText value="Name" />
												</f:facet>
												<h:outputText value="#{project.name}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Date of beginning" />
												</f:facet>
												<h:outputText value="#{project.dateOfBeginning}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Expected end date" />
												</f:facet>
												<h:outputText value="#{project.expectedDateEnd}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="End date" />
												</f:facet>
												<h:outputText value="#{project.dateOfEnd}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Status" />
												</f:facet>
												<h:outputText value="#{project.status}" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Delete" />
												</f:facet>
												<h:commandLink action="#{projectBean.doDelete(project.id)}"
													class="fa fa-trash-o" value="" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Tasks" />
												</f:facet>
												<h:commandLink
													action="#{taskBean.doGetListTasks(project.id)}"
													class="fa fa-search" />
											</h:column>

											<h:column>
												<f:facet name="header">
													<h:outputText value="Select" />
												</f:facet>
												<h:commandLink class="fa fa-share"
													action="#{projectBean.toggleDisplayFormUpdate(project.id)}" />
											</h:column>



										</h:dataTable>


									</h:form>

								</div>
								<div class="center-block">
									<h:form rendered="#{projectBean.showFormUpdate}"
										styleClass="form-control-static">
										<h:outputLabel
											value="UPDATE THE PROJECT #{projectBean.projectToUpdate.name}" />
										<br />
										<h:outputLabel value="Please select the state" />
										<br />
										<h:selectOneMenu value="#{projectBean.selectedOption}"
											styleClass="menu-message">
											<f:selectItem itemValue="IN_PROGRESS" itemLabel="IN RPOGRESS" />
											<f:selectItem itemValue="DONE" itemLabel="DONE" />
										</h:selectOneMenu>
										<br />
										<h:commandButton action="#{projectBean.doUpdate()}"
											value="UPDATE" styleClass="btn btn-success" />
									</h:form>
								</div>
							</div>

						</div>
					</div>
				</div>

			</div>
		</div>
	</div>

	<ui:include src="/Footer.xhtml" />

	<!-- MODAL ADD PROJECT -->
	<div id="modalAddProject" class="modal fade" role="dialog">
		<div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">x</button>
					<h4 class="modal-title">ADD PROJECT</h4>
				</div>
				<div class="modal-body">
					<div class="full-rounded">
						<h:form>
							<h:panelGrid columns="2">
								<h:outputText value="Name :" />
								<h:inputText value="#{projectBean.name}"></h:inputText>

								<h:outputText value="Date of beginning : (dd-MM-yyyy form)" />
								<h:inputText value="#{projectBean.dateOfBeginning}">
									<f:convertDateTime pattern="d-M-yyyy" />
								</h:inputText>
								<h:outputText value="Date of end : (dd-MM-yyyy form)" />
								<h:inputText value="#{projectBean.expectedDateEnd}">
									<f:convertDateTime pattern="d-M-yyyy" />
								</h:inputText>

							</h:panelGrid>
							<h:panelGrid columns="2">
								<h:outputLabel value="SELECT EMPLOYEES" />
								<br />
								<h:selectManyMenu value="#{projectBean.selectedEmployees}"
									converter="javax.faces.Integer">
									<f:selectItems value="#{projectBean.employeesToSelect}"></f:selectItems>
								</h:selectManyMenu>
								<br />



								<h:commandButton action="#{projectBean.doAddProject()}"
									value="Add" styleClass="btn btn-success" />
							</h:panelGrid>

						</h:form>
						<br></br>
					</div>

				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>

		</div>
	</div>
	<!-- End modal add project -->
	
	<!-- MODAL STATS -->
	<div id="modalStats" class="modal fade" role="dialog">
		<div class="modal-dialog">

			<!-- Modal content-->
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal">x</button>
					<h4 class="modal-title">STATS</h4>
				</div>
				<div class="modal-body">
					<div class="widget">
							<div class="widget-header ">
								<h2>Sparkline Piechart</h2>
								<div class="additional-btn">
									<a href="#" class="hidden reload"><i class="icon-ccw-1"></i></a>
									<a href="#" class="widget-toggle"><i class="icon-down-open-2"></i></a>
									<a href="#" class="widget-close"><i class="icon-cancel-3"></i></a>
								</div>
							</div>
							<div class="widget-content padding">
								
								<span class="sparkline" sparktype="pie" values="3,5,6" sparkheight="250px"><canvas width="250" height="250" style="display: inline-block; width: 250px; height: 250px; vertical-align: top;"></canvas></span>
								<span class="sparkline" sparktype="pie" values="123,432,543,453" sparkheight="250px"><canvas width="250" height="250" style="display: inline-block; width: 250px; height: 250px; vertical-align: top;"></canvas></span>	                        
							</div>
						</div>
				</div>
				<div class="modal-footer">
					<button type="button" class="btn btn-default" data-dismiss="modal">Close</button>
				</div>
			</div>

		</div>
	</div>
	<!-- END MODAL STATS -->
<script>
		var resizefunc = [];
	</script>
	<!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
	<script src="assets/libs/jquery/jquery-1.11.1.min.js"></script>
	<script src="assets/libs/bootstrap/js/bootstrap.min.js"></script>
	<script src="assets/libs/jqueryui/jquery-ui-1.10.4.custom.min.js"></script>
	<script src="assets/libs/jquery-ui-touch/jquery.ui.touch-punch.min.js"></script>
	<script src="assets/libs/jquery-detectmobile/detect.js"></script>
	<script src="assets/libs/jquery-animate-numbers/jquery.animateNumbers.js"></script>
	<script src="assets/libs/ios7-switch/ios7.switch.js"></script>
	<script src="assets/libs/fastclick/fastclick.js"></script>
	<script src="assets/libs/jquery-blockui/jquery.blockUI.js"></script>
	<script src="assets/libs/bootstrap-bootbox/bootbox.min.js"></script>
	<script src="assets/libs/jquery-slimscroll/jquery.slimscroll.js"></script>
	<script src="assets/libs/jquery-sparkline/jquery-sparkline.js"></script>
	<script src="assets/libs/nifty-modal/js/classie.js"></script>
	<script src="assets/libs/nifty-modal/js/modalEffects.js"></script>
	<script src="assets/libs/sortable/sortable.min.js"></script>
	<script src="assets/libs/bootstrap-fileinput/bootstrap.file-input.js"></script>
	<script src="assets/libs/bootstrap-select/bootstrap-select.min.js"></script>
	<script src="assets/libs/bootstrap-select2/select2.min.js"></script>
	<script src="assets/libs/magnific-popup/jquery.magnific-popup.min.js"></script> 
	<script src="assets/libs/pace/pace.min.js"></script>
	<script src="assets/libs/bootstrap-datepicker/js/bootstrap-datepicker.js"></script>
	<script src="assets/libs/jquery-icheck/icheck.min.js"></script>

	<!-- Demo Specific JS Libraries -->
	<script src="assets/libs/prettify/prettify.js"></script>

	<script src="assets/js/init.js"></script>
	<!-- Page Specific JS Libraries -->
	<script src="assets/js/pages/sparkline-charts.js"></script>

</body>
</html>
